ConnectionPropertiesImpl.MemorySizeConnectionProperty
Date: 2016-03-08

com.mysql.jdbc

## Class ConnectionPropertiesImpl.MemorySizeConnectionProperty

- java.lang.Object
- - com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty
  - - com.mysql.jdbc.ConnectionPropertiesImpl.IntegerConnectionProperty
    - - com.mysql.jdbc.ConnectionPropertiesImpl.MemorySizeConnectionProperty

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ConnectionPropertiesImpl

      static class ConnectionPropertiesImpl.MemorySizeConnectionProperty
      extends ConnectionPropertiesImpl.IntegerConnectionProperty
      implements java.io.Serializable

- - ### Field Summary

    - ### Fields inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.IntegerConnectionProperty

      `multiplier`

    - ### Fields inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty

      `allowableValues, categoryName, defaultValue, description, lowerBound, order, propertyName, required, sinceVersion, updateCount, upperBound, valueAsObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionPropertiesImpl.MemorySizeConnectionProperty(java.lang.String propertyNameToSet, int defaultValueToSet, int lowerBoundToSet, int upperBoundToSet, java.lang.String descriptionToSet, java.lang.String sinceVersionToSet, java.lang.String category, int orderInCategory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) java.lang.String` | `getValueAsString()`
    `(package private) void` | `initializeFrom(java.lang.String extractedValue, ExceptionInterceptor exceptionInterceptor)`
    `(package private) void` | `setValue(java.lang.String value, ExceptionInterceptor exceptionInterceptor)`

    - ### Methods inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.IntegerConnectionProperty

      `getAllowableValues, getLowerBound, getUpperBound, getValueAsInt, hasValueConstraints, isRangeBased, setValue, setValue`

    - ### Methods inherited from class com.mysql.jdbc.ConnectionPropertiesImpl.ConnectionProperty

      `getAsDriverPropertyInfo, getCategoryName, getDefaultValue, getOrder, getPropertyName, getUpdateCount, getValueAsObject, initializeFrom, initializeFrom, setCategoryName, setOrder, setValueAsObject, storeTo, validateStringValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionPropertiesImpl.MemorySizeConnectionProperty

          ConnectionPropertiesImpl.MemorySizeConnectionProperty(java.lang.String propertyNameToSet,
                                                               int defaultValueToSet,
                                                               int lowerBoundToSet,
                                                               int upperBoundToSet,
                                                               java.lang.String descriptionToSet,
                                                               java.lang.String sinceVersionToSet,
                                                               java.lang.String category,
                                                               int orderInCategory)

  - ### Method Detail

    - #### initializeFrom

          void initializeFrom(java.lang.String extractedValue,
                            ExceptionInterceptor exceptionInterceptor)
                        throws java.sql.SQLException

      Overrides:
        `initializeFrom` in class `ConnectionPropertiesImpl.IntegerConnectionProperty`
      Throws:
        `java.sql.SQLException`
      See Also:
        `com.mysql.jdbc.ConnectionProperties.ConnectionProperty#initializeFrom(java.lang.String)`

    - #### setValue

          void setValue(java.lang.String value,
                      ExceptionInterceptor exceptionInterceptor)
                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getValueAsString

          java.lang.String getValueAsString()